Package org.eclipse.m2m.atl.adt.debug.ui

## Class DisassemblyDocumentProvider

- java.lang.Object
- - org.eclipse.ui.editors.text.TextFileDocumentProvider
  - - org.eclipse.m2m.atl.adt.debug.ui.DisassemblyDocumentProvider

All Implemented Interfaces:
  `org.eclipse.ui.editors.text.IStorageDocumentProvider`, `org.eclipse.ui.texteditor.IDocumentProvider`, `org.eclipse.ui.texteditor.IDocumentProviderExtension`, `org.eclipse.ui.texteditor.IDocumentProviderExtension2`, `org.eclipse.ui.texteditor.IDocumentProviderExtension3`, `org.eclipse.ui.texteditor.IDocumentProviderExtension4`, `org.eclipse.ui.texteditor.IDocumentProviderExtension5`

    public class DisassemblyDocumentProvider
    extends org.eclipse.ui.editors.text.TextFileDocumentProvider

The disassembly provider class.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ui.editors.text.TextFileDocumentProvider

`org.eclipse.ui.editors.text.TextFileDocumentProvider.DocumentProviderOperation, org.eclipse.ui.editors.text.TextFileDocumentProvider.FileBufferListener, org.eclipse.ui.editors.text.TextFileDocumentProvider.FileInfo, org.eclipse.ui.editors.text.TextFileDocumentProvider.NullProvider`

### Constructor Summary

Constructors
`DisassemblyDocumentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.text.source.IAnnotationModel` `getAnnotationModel​(java.lang.Object element)` TODO: this is not a correct implementation.

### Methods inherited from class org.eclipse.ui.editors.text.TextFileDocumentProvider

`aboutToChange, addElementStateListener, canSaveDocument, changed, commitFileBuffer, computeSchedulingRule, connect, createAnnotationModel, createEmptyFileInfo, createFileFromDocument, createFileInfo, createSaveOperation, disconnect, disposeFileInfo, executeOperation, fireElementStateChangeFailed, fireElementStateChanging, getConnectedElementsIterator, getContentType, getDefaultEncoding, getDocument, getElements, getEncoding, getFileInfo, getFileInfosIterator, getFileStore, getModificationStamp, getOperationRunner, getParentProvider, getProgressMonitor, getStatus, getSynchronizationStamp, getSystemFile, handleCoreException, isDeleted, isModifiable, isNotSynchronizedException, isReadOnly, isStateValidated, isSynchronized, isSystemFileReadOnly, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument, setCanSaveDocument, setEncoding, setParentDocumentProvider, setProgressMonitor, setUpSynchronization, synchronize, updateStateCache, validateState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisassemblyDocumentProvider

    public DisassemblyDocumentProvider()

### Method Detail

#### getAnnotationModel

    public org.eclipse.jface.text.source.IAnnotationModel getAnnotationModel​(java.lang.Object element)

TODO: this is not a correct implementation. We keep references to every element, which means they won't be garbage collected. However, it works.

Specified by:
  `getAnnotationModel` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
Overrides:
  `getAnnotationModel` in class `org.eclipse.ui.editors.text.TextFileDocumentProvider`
See Also:
  `TextFileDocumentProvider.getAnnotationModel(java.lang.Object)`